package io.zipcoder.polymorphism;

import java.util.*;

/**
 * Created by leon on 11/6/17.
 */
public class MainApplication {

    public static void main(String[] args) {


        Scanner scan = new Scanner(System.in);
        System.out.print("How many pets do you have? ");
        int numPets = scan.nextInt();

        String[] typeOfPet = new String[numPets];
        String[] nameOfPet = new String[numPets];
        Pet[] petList = new Pet[numPets];

        for (int i = 0; i < numPets; i++) {
            System.out.print("What species is pet #" + (i + 1) + "? ");
            typeOfPet[i] = scan.next();

            System.out.print("What is your " + typeOfPet[i] + "'s name? ");
            nameOfPet[i] = scan.next();
        }


        for (int i = 0; i < numPets; i++) {

            if (typeOfPet[i].equalsIgnoreCase("Dog")) {
                petList[i] = new Dog(nameOfPet[i]);

            } else if (typeOfPet[i].equalsIgnoreCase("Cat")) {
                petList[i] = new Cat(nameOfPet[i]);

            } else if (typeOfPet[i].equalsIgnoreCase("Lion")) {
                petList[i] = new Lion(nameOfPet[i]);

            }

            System.out.println("Your " + typeOfPet[i] + " named " + petList[i].getName() + " says " + petList[i].petSpeak());
        }
    }

}


