package io.zipcoder.polymorphism;
import org.junit.Assert;
import org.junit.Test;
import sun.applet.Main;

/**
 * Created by leon on 11/6/17.
 */
public class MainApplicationTest {
    @Test
    public void dogSpeak(){
        //Given
        Dog shadow = new Dog("");
        String speak = "Woof";

        //When
        String expected = "Woof";
        String actual = shadow.petSpeak();
        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void catSpeak(){
        //Given
        Cat garfield = new Cat("");
        String speak = "Meow";

        //When
        String expected = "Meooooow";
        String actual = garfield.petSpeak();
        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void lionSpeak(){
        //Given
        Lion mufasa = new Lion("");
        String speak = "Roar";

        //When
        String expected = "Roooooar";
        String actual = mufasa.petSpeak();
        //Then
        Assert.assertEquals(expected, actual);
    }




    @Test
    public void whatKindOfPet(){
        //Given
        Pet pet = new Pet("");

        //When
        String expected = "dog";
        String actual = "dog";
        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void getNameOfPet(){
        //Given
        Pet pet = new Pet("John");

        //When
        String expected = "John";
        String actual = pet.getName();
        //Then
        Assert.assertEquals(expected, actual);
    }


}
